# `connect` ( class in module `jsPlumb` )

## Description

Establishes a between two elements (or s, which are themselves registered to elements).

## Parameters

- `params – {object} –`

  Connection params

- `referenceParams – {object} –`

  Optional second set of parameters, which will be merge into a new object along with `params` . This can be useful if you have some common settings to share between multiple `connect` calls.

## Returns

`{object}` –

The Connection that was created.